/*******************************************************************************
 *  Copyright 2017-2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/
package cdac.medinfo.sdk.dcm30_04.templates.enums.cm;

/**
 * This enum represents Code Meaning for TimeSynchronizationChannelTypes
 */
public enum EnumCM_TimeSynchronizationChannelTypes 
{
	//CID 3090 Time Synchronization Channel Types
	DIGITAL_TIMECODE_NOS("Digital timecode (NOS)"),
	ECG_BASED_GATING_SIGNAL_PROCESSED("ECG-based gating signal, processed"),
	IRIG_B_TIMECODE("IRIG-B timecode"),
	X_RAY_FLUOROSCOPY_ON_SIGNAL("X-Ray Fluoroscopy On Signal"),
	X_RAY_ON_TRIGGER("X-Ray On Trigger");
	

	private String value;

	EnumCM_TimeSynchronizationChannelTypes(String strValue)
	{
		value = strValue;
	}

	/**
	 * This function returns the String value of this enum.
	 * @return returns string value of Meta SOP Class.
	 */
	public String getValue()
	{
		return value;
	}
}
